// Package httpclient ...
//
// Description : httpclient ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-05-07 12:19
package httpclient

import (
	"git.zhangdeman.cn/zhangdeman/network/httpclient/abstract"
)

// RequestOption 请求一些选项
type RequestOption struct {
	CacheInstance  abstract.ICache      `json:"-"` // 数据结果缓存实例
	RateLimiter    abstract.RateLimiter `json:"-"` // 流控实例
	ResponseParser abstract.IResponse   `json:"-"` // 返回结果解析, 不配置使用内置实现
}
